import n from "../locale/en_US.mjs";
let o = Object.assign({}, n.Modal), c = [];
const a = () => c.reduce((e, t) => Object.assign(Object.assign({}, e), t), n.Modal);
function s(e) {
  if (e) {
    const t = Object.assign({}, e);
    return c.push(t), o = a(), () => {
      c = c.filter((l) => l !== t), o = a();
    };
  }
  o = Object.assign({}, n.Modal);
}
function r() {
  return o;
}
export {
  s as changeConfirmLocale,
  r as getConfirmLocale
};
